/*
Format ciloveho pruseciku 
 */
package octantKlient;

/**
 *
 * @author Filip Dvorak
 */
public class CilovyPrusecik {

    //souradnece pruseciku A a B a jejich vzajemna vzdalenost
    private Souradnice souradniceA;
    private Souradnice souradniceB;
    private Double vzdalenost;
    private IpAdresa ipAdresa;

    public IpAdresa getIpAdresa() {
        return ipAdresa;
    }

    public void setIpAdresa(IpAdresa ipAdresa) {
        this.ipAdresa = ipAdresa;
    }
    
    public Souradnice getSouradniceA() {
        return souradniceA;
    }

    public void setSouradniceA(Souradnice souradniceA) {
        this.souradniceA = souradniceA;
    }

    public Souradnice getSouradniceB() {
        return souradniceB;
    }

    public void setSouradniceB(Souradnice souradniceB) {
        this.souradniceB = souradniceB;
    }

    public Double getVzdalenost() {
        return vzdalenost;
    }

    public void setVzdalenost(Double vzdalenost) {
        this.vzdalenost = vzdalenost;
    }

    public CilovyPrusecik(Souradnice souradniceA, Souradnice souradniceB, Double vzdalenost) {
        this.souradniceA = souradniceA;
        this.souradniceB = souradniceB;
        this.vzdalenost = vzdalenost;
    }

    public CilovyPrusecik(Souradnice souradniceA, IpAdresa ipAdresa) {
        this.souradniceA = souradniceA;
        this.ipAdresa = ipAdresa;
    }

    public CilovyPrusecik(Souradnice souradniceA) {
        this.souradniceA = souradniceA;
    }
  
}
